//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.helloworld;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.Pdf;
import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use pdf dom.
 */
public class HelloWorldExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
    	
		try{
			Pdf pdf = new Pdf();
			
			//add a section
			Section sec1 = pdf.getSections().add();
			
			Text text1 = new Text(sec1,"Hello World, this is my first pdf.");
	        sec1.getParagraphs().add(text1);
			
			pdf.save(new FileOutputStream(new File("exampleOutput/HelloWorldExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}
	}
}
