//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.xml;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;

import javax.xml.parsers.ParserConfigurationException;

import org.xml.sax.SAXException;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
* This example domestrates how to use XML template in pdf.
*/
public class XMLExample {
	public static void main(String args[]){
		//if you got a license, uncomment following lines
		/*License lic  = new License();
  		try {
  			lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
  		}catch (Exception e) {
  			System.out.println(e.getMessage());
  		}*/
          
        try{
  			Pdf pdf = Pdf.bindXML(new FileInputStream("examples/resources/SalesByCategory.xml"));
  			pdf.save(new FileOutputStream(new File("exampleOutput/XMLExample.pdf")));
  		}catch(java.io.IOException ioe){
  			System.out.println(ioe.getMessage());
  		}catch(AsposeBaseException e){
  			System.out.println(e.getMessage());
  		}catch (ParserConfigurationException e1) {
            e1.printStackTrace();
        } catch (SAXException e1) {
            e1.printStackTrace();
        }
    }
}
